# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=p11-kit
pkgver=0.24.1
pkgrel=1
pkgdesc="Loads and enumerates PKCS#11 modules"
arch=('x86_64')
url="https://p11-glue.freedesktop.org"
license=('BSD')
depends=('glibc' 'libtasn1' 'libffi')
makedepends=('bash' 'bash-completion' 'binutils' 'coreutils' 'gcc' 'gettext' 'make'
    'sed' 'systemd' 'texinfo')
install=${pkgname}.install
source=(https://github.com/p11-glue/p11-kit/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(d8be783efd5cd4ae534cee4132338e3f40f182c3205d23b200094ec85faaaef8)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}          \
        --sysconfdir=/etc \
        --with-module-path=/usr/lib64/pkcs11

    make

}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    ln -sfv /usr/libexec/p11-kit/trust-extract-compat ${pkgdir}/usr/bin/update-ca-trust
}
